Bug 171710 - up2date --channel=bar --installall does nothing
up2date --channel=bar --installall does nothing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 10:32 EDT by Julien Tognazzi
Modified: 2013-02-26 19:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julien Tognazzi 2005-10-25 10:32:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I issue the following command:
up2date --channel=rhel-my-dir-repo --installall

It does nothing but display the help message with this error:
No interactive mode available
Please specify either -l, -u, --nox, or package names as command line arguments.usage: up2date [OPTIONS] [<packages>]

the channel rhel-my-dir-repo has been setup in the /etc/sysconfig/rhn/sources file.

On the other hand:
up2date --channel=rhel-my-dir-repo--showall 
works ok.


Version-Release number of selected component (if applicable):
up2date-4.4.50-4

How reproducible:
Always

Steps to Reproduce:
1. make available a dir repo with /etc/sysconfig/rhn/sources
2. try to install all RPMS from this repo with the following command:
up2date --channel=rhel-my-dir-repo --installall

3.
  

Actual Results:  You get the following error msg:
No interactive mode available
Please specify either -l, -u, --nox, or package names as command line arguments.usage: up2date [OPTIONS] [<packages>]

options:
  --configure           configure Update Agent options
  -d, --download        download packages only, even if configuration says to
                        install
  -i, --install         install packages, even if configuration says to
                        download only
  --src                 Download src packages as well as binary rpms
  --nosrc               Do not download src packages (overrides config setting
                        if set)
  --dbpath=<dir>        Specify a path where an alternate rpm db is found
  -f, --force           Force package installation, overriding package and file
                        skip list
  --justdb              Only add packages to database, do not install to the
                        filesystem
  -l, --list            list packages available for retrieval
  --dry-run             Do everything but download and install packages (show
                        dependencies  needed, etc)
  -?, --usage           Briefly describe the options
  -k<dir>, --packagedir=<dir>
                        colon separated path of directories to look in for
                        packages
  --nosig               do not use GPG to check package signatures
  --nox                 do not attempt to use X
  -p, --packages        update packages associated with this System Profile on
                        Red Hat Network
  --hardware            up2date hardware profile associated with this System
                        Profile on Red Hat Network
  --register            register the system (or reregister it, if need be)
  --showall             List all packages available for download
  --show-available      List all packages available that are not currently
                        installed
  --show-orphans        List all packages currently installed that are not in
                        channels the system is subscribed to
  --show-groups         List all the install components available to install
  --solvedeps=<deps>    finds, downloads, and installs the packages needed to
                        solve the list of dependencies
  --tmpdir=<temp-dir>   where to store temporary files / RPMs
  --undo                undo the last package set update
  -u, --update          update system with all relevant packages
  --version             show program version information
  -v, --verbose         Show additional output
  --show-channels       Show the channel names along with the package name
                        where approriate
  --list-rollbacks      Show the rpm rollbacks available
  --whatprovides=<deps>
                        Show the packages which solve the comma separated list
                        of dependencies
  --installall          Install all available packages. Used with --channel
  --exclude=<pkg>       List of packages to exlude from being installed or
                        updated
  --channel=<channel>   Specify which channels to use by channel label
  --gpg-flags           Show the flags that gpg will be invoked with (the
                        keyring, etc)
  --nodownload          Do not download packages at all. For testing purposes
  --uuid=<uuid>         Pass in a uuid that the applet generates
  --proxy=<proxyurl>    Specify an http proxy to use
  --proxyUser=<proxy userid>
                        Specify a username to use with an authenticated http
                        proxy
  --proxyPassword=<proxy password>
                        Specify a password to use with an authenticated http
                        proxy
  --serverUrl=<url>     Specify what server url to use
  --show-package-dialog
                        Show the package installation dialog in gui mode
  --get                 Fetch the package specified without resolving
                        dependencies
  --get-source          Fetch the source package for the specified package
                        without resolving dependencies
  --arch=ARCH           Force up2date to install this arch of the package. Not
                        valid with -u, --list, or --dry-run
  --upgrade-to-release=<release-version>
                        Upgrade to the channel specified
  -h, --help            show this help message and exit

When operating in command line mode, specifying package names as
arguments to the program will attempt to retrieve (and possibly
install, based on your configuration) those packages.  Version,
release, and architecture details will be determined by the Update
Agent automatically.


Expected Results:  The RPMS from the dir repo should be installed

Additional info:

I've found an old similar bug https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=113973 but it doesn't seem to apply here.
Comment 3 Jiri Pallich 2012-06-20 12:19:19 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.